function menuAdmin(std, proto, firewall, nat, ipExt, wireless, voice) {

 
   // start heidi's changes
   // device info menu
   nodeDeviceInfo = insFld(foldersTree, gFld(getMenuTitle(MENU_DEVICE_INFO), 'info.html'));
   // device summary menu
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_DEVICE_SUMMARY), 'info.html'));   
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_DEVICE_WAN), 'wancfg.cmd?action=view'));    
   
   nodeQuickSetup = insFld(foldersTree, gFld(getMenuTitle(MENU_QUICK_SETUP), 'vpivci.cgi'));
   
   // service provider settings menu
   if ( std == 'annex_c' )
   nodeAdvancedSetup = insFld(foldersTree, gFld(getMenuTitle(MENU_ADVANCED_SETUP), 'adslcfgc.html'));
   else  
   nodeAdvancedSetup = insFld(foldersTree, gFld(getMenuTitle(MENU_ADVANCED_SETUP), 'adslcfg.html'));
   // Configure ADSL Setting Menu based on Annex
   if ( std == 'annex_c' )
      insFld(nodeAdvancedSetup, gFld(getMenuTitle(MENU_DSL), 'adslcfgc.html'));
   else
      insFld(nodeAdvancedSetup, gFld(getMenuTitle(MENU_DSL), 'adslcfg.html'));      
   insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_WAN),'wancfg.cmd'));
   // In bridge mode, remote login makes no sense
   if ( proto != 'Bridge' )
      insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_SC_REMOTE_ACCESS), 'accessremote.html'));   


   // Configure routing (network) menu
   if ( (proto == 'PPPoE' && ipExt == '0') ||
        (proto == 'PPPoA' && ipExt == '0') ||
        (proto == 'MER') ||
        (proto == 'IPoA') ) {
      nodeNetwork = insFld(foldersTree, gFld(getMenuTitle(MENU_NETWORK), 'lancfg2.html'));
      insDoc(nodeNetwork, gLnk('R', getMenuTitle(MENU_LAN),'lancfg2.html'));  
      insDoc(nodeNetwork, gLnk('R', getMenuTitle(MENU_RT_DEFAULT_ROUTE), 'rtdefaultcfg.html'));   
      // configure dns server         
      insDoc(nodeNetwork, gLnk('R', getMenuTitle(MENU_DNS),'dnscfg.html'));

      // configure Dynamic DNS client
      insDoc(nodeNetwork, gLnk('R', getMenuTitle(MENU_DDNS),'dyndnscfg.html'));
      
      nodeRouting = insFld(nodeNetwork, gFld(getMenuTitle(MENU_ROUTING), 'rtroutecfg.cmd?action=view'));      
      insFld(nodeRouting, gFld(getMenuTitle(MENU_DEVICE_ROUTE), 'rtroutecfg.cmd?action=view'));      
      insDoc(nodeRouting, gLnk('R', getMenuTitle(MENU_RT_STATIC_ROUTE),'rtroutecfg.cmd?action=viewcfg'));
      insDoc(nodeRouting, gLnk('R', getMenuTitle(MENU_RT_RIP),'ripcfg.cmd?action=view'));
      insFld(nodeRouting, gFld(getMenuTitle(MENU_RT_ARP),'arpview.cmd'));         
   }

   // Configure security menu
   // If firewall is enabled and not in ipExt mode enable firewall menus
   nodeSecurity = insFld(foldersTree, gFld(getMenuTitle(MENU_SECURITY), 'scmacflt.cmd?action=view'));
   insDoc(nodeSecurity, gLnk('R', getMenuTitle(MENU_MAC_FILTER),'scmacflt.cmd?action=view'));
   if (proto != 'Bridge' && ipExt != '1' ) {
      if ( firewall == '1' ) {
  
         nodeOut = insFld(nodeSecurity, gFld(getMenuTitle(MENU_OUTBOUND_FILTERS), 'scprtflt.cmd?action=view'));
         insDoc(nodeOut, gLnk('R', getMenuTitle(MENU_SC_PORT_FILTER), 'scprtflt.cmd?action=view'));
         insDoc(nodeOut, gLnk('R', getMenuTitle(MENU_SC_ADDRESS_FILTER), 'scaddrflt.cmd?action=view'));        
      }
      // If NAT is On enable virtual server menus
      if ( nat == '1' ) {
         insDoc(nodeSecurity, gLnk('R', getMenuTitle(MENU_SC_VIRTUAL_SERVER), 'scvrtsrv.cmd?action=view'));
         insDoc(nodeSecurity, gLnk('R', getMenuTitle(MENU_SC_PORT_TRIGGER), 'scprttrg.cmd?action=view'));
         insDoc(nodeSecurity, gLnk('R', getMenuTitle(MENU_SC_DMZ_HOST), 'scdmz.html'));
      }      
   }

   // Configure wireless menu
   if ( wireless == '1' ) {
      nodeWireless = insFld(foldersTree, gFld(getMenuTitle(MENU_WIRELESS_SETTINGS), 'wlcfg.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_BASIC), 'wlcfg.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_SECURITY), 'wlsecurity.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_MAC_FILTERING), 'wlmacflt.cmd?action=view'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_ADVANCED), 'wlcfgadv.html'));
   }

   // Configure voice menu
   if ( voice == 'mgcp' ) {
      nodeVoice = insFld(foldersTree, gFld(getMenuTitle(MENU_VOICE_SETTINGS), 'voicecfg.html'));
      insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_MGCP), 'voicemgcpview.cmd'));
      //insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_STATS), 'voicestats45.html'));
   }
   else if ( voice == 'sip' ) {
      nodeVoice = insFld(foldersTree, gFld(getMenuTitle(MENU_VOICE_SETTINGS), 'voicecfg.html'));
      insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_SIP), 'voicesipview.cmd'));
   }

   // Configure tools menu
   nodeMngr = insFld(foldersTree, gFld(getMenuTitle(MENU_MANAGEMENT), 'upload.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_UPDATE_SOFTWARE), 'upload.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_RESTORE_SETTINGS), 'restore.html'));
   // Alsway allow for local login
   nodePasswords = insFld(nodeMngr, gFld(getMenuTitle(MENU_SC_PASSWORDS), 'accesslocal.html'));  
   insDoc(nodePasswords, gLnk('R', getMenuTitle(MENU_SC_LOCAL_ACCESS), 'accesslocal.html'));
   insDoc(nodePasswords, gLnk('R', getMenuTitle(MENU_SC_USER_ACCESS), 'accessuser.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_RESET_ROUTER), 'resetrouter.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_DIAGNOSTICS), 'diag.html'));
   /*Danut insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_SNMP), 'snmpconfig.html'));*/

   // Configure stats menu
   nodeStatistics = insFld(foldersTree, gFld(getMenuTitle(MENU_STATISTICS), 'statsifc.html'));
   insDoc(nodeStatistics, gLnk('R', getMenuTitle(MENU_ST_LAN), 'statsifc.html'));
   insDoc(nodeStatistics, gLnk('R', getMenuTitle(MENU_ST_ATM), 'statsatm.cmd'));
   insDoc(nodeStatistics, gLnk('R', getMenuTitle(MENU_ST_ADSL), 'statsadsl.html'));
   insDoc(nodeStatistics, gLnk('R', getMenuTitle(MENU_TL_SYSTEM_LOG), 'logintro.html'));   

// end heidis changes
}


function menuSupport(std, proto, ipExt, wireless, voice) {
   // Configure quick setup wizard
   nodeQuickSetup = insFld(foldersTree, gFld(getMenuTitle(MENU_QUICK_SETUP), 'vpivci.cgi'));

   // Configure advanced setup
   nodeAdvancedSetup = insFld(foldersTree, gFld(getMenuTitle(MENU_ADVANCED_SETUP), 'wancfg.cmd'));
   insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_WAN),'wancfg.cmd'));
   insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_LAN),'lancfg2.html'));

   // Configure routing menu
      nodeRouting = insFld(nodeAdvancedSetup, gFld(getMenuTitle(MENU_ROUTING), 'rtroutecfg.cmd?action=viewcfg'));
      insDoc(nodeRouting, gLnk('R', getMenuTitle(MENU_RT_STATIC_ROUTE),'rtroutecfg.cmd?action=viewcfg'));
      insDoc(nodeRouting, gLnk('R', getMenuTitle(MENU_RT_RIP),'ripcfg.html'));
      insDoc(nodeRouting, gLnk('R', getMenuTitle(MENU_RT_DEFAULT_ROUTE), 'rtdefaultcfg.html'));
   // Configure DNS menu
   if ( (proto == 'PPPoE' && ipExt == '0') ||
        (proto == 'PPPoA' && ipExt == '0') ||
        (proto == 'MER') ||
        (proto == 'IPoA') ) {
      // configure dns server
      insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_DNS),'dnscfg.html'));
     // configure Dynamic DNS client
      insDoc(nodeAdvancedSetup, gLnk('R', getMenuTitle(MENU_DDNS),'dyndnscfg.html'));
   }

   // Configure ADSL Setting Menu based on Annex
   if ( std == 'annex_c' )
      insFld(nodeAdvancedSetup, gFld(getMenuTitle(MENU_DSL), 'adslcfgc.html'));
   else
      insFld(nodeAdvancedSetup, gFld(getMenuTitle(MENU_DSL), 'adslcfg.html'));

   // Configure wireless menu
   if ( wireless == '1' ) {
      nodeWireless = insFld(foldersTree, gFld(getMenuTitle(MENU_WIRELESS_SETTINGS), 'wlcfg.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_BASIC), 'wlcfg.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_SECURITY), 'wlsecurity.html'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_MAC_FILTERING), 'wlmacflt.cmd?action=view'));
      insDoc(nodeWireless, gLnk('R', getMenuTitle(MENU_WL_ADVANCED), 'wlcfgadv.html'));
   }

   // Configure voice menu
   if ( voice == 'mgcp' ) {
      nodeVoice = insFld(foldersTree, gFld(getMenuTitle(MENU_VOICE_SETTINGS), 'voicecfg.html'));
      insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_MGCP), 'voicemgcpview.cmd'));
      //insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_STATS), 'voicestats45.html'));
   }
   else if ( voice == 'sip' ) {
      nodeVoice = insFld(foldersTree, gFld(getMenuTitle(MENU_VOICE_SETTINGS), 'voicecfg.html'));
      insDoc(nodeVoice, gLnk('R', getMenuTitle(MENU_VOICE_SIP), 'voicesipview.cmd'));
   }

   // Configure diagnostics menu
   nodeDiagnostics = insFld(foldersTree, gFld(getMenuTitle(MENU_DIAGNOSTICS), 'diag.html'));

   // Configure management menu
   nodeMngr = insFld(foldersTree, gFld(getMenuTitle(MENU_MANAGEMENT), 'logintro.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_SYSTEM_LOG), 'logintro.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_UPDATE_SOFTWARE), 'upload.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_RESTORE_SETTINGS), 'restore.html'));
}

function menuUser() {
   // device info menu
   nodeDeviceInfo = insFld(foldersTree, gFld(getMenuTitle(MENU_DEVICE_INFO), 'info.html'));
   // device summary menu
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_DEVICE_SUMMARY), 'info.html'));
   // device wan menu
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_DEVICE_WAN), 'wancfg.cmd?action=view'));
   // device statistics menu
   nodeSts = insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_STATISTICS), 'statsifc.html'));
   insDoc(nodeSts, gLnk('R', getMenuTitle(MENU_ST_LAN), 'statsifc.html'));
   insDoc(nodeSts, gLnk('R', getMenuTitle(MENU_ST_ATM), 'statsatm.cmd'));
   insDoc(nodeSts, gLnk('R', getMenuTitle(MENU_ST_ADSL), 'statsadsl.html'));
   // device route menu
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_DEVICE_ROUTE), 'rtroutecfg.cmd?action=view'));
   insFld(nodeDeviceInfo, gFld(getMenuTitle(MENU_RT_ARP),'arpview.cmd'));

   // Configure diagnostics menu
   nodeDiagnostics = insFld(foldersTree, gFld(getMenuTitle(MENU_DIAGNOSTICS), 'diag.html'));

   // Configure management menu
   nodeMngr = insFld(foldersTree, gFld(getMenuTitle(MENU_MANAGEMENT), 'logintro.html'));
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_SYSTEM_LOG), 'logintro.html'));
   /*Danut insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_SNMP), 'snmpconfig.html')); */
   insDoc(nodeMngr, gLnk('R', getMenuTitle(MENU_TL_UPDATE_SOFTWARE), 'upload.html'));
}

function createBcmMenu(std, user, proto, firewall, nat, ipExt, wireless, voice) {
   foldersTree = gFld('', 'info.html');

      
   if ( user == 'admin' )
      menuAdmin(std, proto, firewall, nat, ipExt, wireless, voice);
   else if ( user == 'support' )
      menuSupport(std, proto, ipExt, wireless, voice);
   else if ( user == 'user' )
      menuUser();
}
