MENU_DEVICE_INFO             =  0
MENU_DEVICE_SUMMARY          =  1
MENU_DEVICE_WAN              =  2
MENU_STATISTICS              =  3
MENU_ST_LAN                  =  4
MENU_ST_ATM                  =  5
MENU_ST_ADSL                 =  6
MENU_DEVICE_ROUTE            =  7
MENU_RT_ARP                  =  8
MENU_QUICK_SETUP             =  9
MENU_ADVANCED_SETUP          = 10
MENU_DSL                     = 11
MENU_WAN                     = 12
MENU_LAN                     = 13
MENU_SC_NAT                  = 14
MENU_SC_VIRTUAL_SERVER       = 15
MENU_SC_PORT_TRIGGER         = 16
MENU_SC_DMZ_HOST             = 17
MENU_SC_FIREWALL             = 18
MENU_SC_PORT_FILTER          = 19
MENU_SC_INCOMING             = 20
MENU_SC_ADDRESS_FILTER       = 21
MENU_SC_OUTGOING             = 22
MENU_ROUTING                 = 23
MENU_RT_STATIC_ROUTE         = 24
MENU_RT_RIP                  = 25
MENU_RT_DEFAULT_ROUTE        = 26
MENU_DNS                     = 27
MENU_DIAGNOSTICS             = 28
MENU_MANAGEMENT              = 29
MENU_TL_SYSTEM_LOG           = 30
MENU_TL_UPDATE_SOFTWARE      = 31
MENU_TL_RESTORE_SETTINGS     = 32
MENU_SC_LOCAL_ACCESS         = 33
MENU_SC_USER_ACCESS          = 34
MENU_SC_REMOTE_ACCESS        = 35
MENU_WIRELESS_SETTINGS       = 36
MENU_WL_BASIC                = 37
MENU_WL_SECURITY             = 38
MENU_WL_MAC_FILTERING        = 39
MENU_WL_ADVANCED             = 40
MENU_VOICE_SETTINGS          = 41
MENU_VOICE_MGCP              = 42
MENU_VOICE_SIP               = 43
MENU_VOICE_STATS             = 44
MENU_RESET_ROUTER            = 45
MENU_SC_PASSWORDS            = 46
MENU_OUTBOUND_FILTERS            = 47
MENU_SECURITY            = 48
MENU_NETWORK            = 49
MENU_MAC_FILTER              = 50
MENU_TL_SNMP                 = 51
MENU_DDNS					 = 52


var menuTitle = new Array();
menuTitle[MENU_DEVICE_INFO]                           = 'Device Configuration';
menuTitle[MENU_DEVICE_SUMMARY]                        = ' Link Status';
menuTitle[MENU_DEVICE_WAN]                            = ' ADSL List';

menuTitle[MENU_QUICK_SETUP]                           = 'Begin Quick Setup';

menuTitle[MENU_ADVANCED_SETUP]                        = 'Service Provider Settings';
menuTitle[MENU_DSL]                                   = ' ADSL Standard';
menuTitle[MENU_WAN]                                   = ' WAN Setup';
menuTitle[MENU_SC_REMOTE_ACCESS]                      = ' Remote Access';

menuTitle[MENU_NETWORK]                        = 'Network';
menuTitle[MENU_LAN]                                   = ' LAN Setup/DHCP Server';
menuTitle[MENU_RT_DEFAULT_ROUTE]                      = ' Default Gateway';
menuTitle[MENU_DNS]                                   = ' DNS Server';
menuTitle[MENU_ROUTING]                               = ' Routing';
menuTitle[MENU_DEVICE_ROUTE]                          = ' - Routing Table';
menuTitle[MENU_RT_STATIC_ROUTE]                       = ' - Static Route';
menuTitle[MENU_RT_RIP]                                = ' - RIP';
menuTitle[MENU_RT_ARP]                                = ' - ARP Table';

menuTitle[MENU_WIRELESS_SETTINGS]                     = 'Wireless AP';
menuTitle[MENU_WL_BASIC]                              = ' Wireless Setup';
menuTitle[MENU_WL_SECURITY]                           = ' Security';
menuTitle[MENU_WL_MAC_FILTERING]                      = ' MAC Filter';
menuTitle[MENU_WL_ADVANCED]                           = ' Advanced Settings';

menuTitle[MENU_SECURITY]                            = 'Security';
menuTitle[MENU_OUTBOUND_FILTERS]                     = ' Outbound Filters';
menuTitle[MENU_SC_PORT_FILTER]                        = ' - Port Filter';
menuTitle[MENU_SC_ADDRESS_FILTER]                     = ' - Address Filter';
menuTitle[MENU_MAC_FILTER]                            = ' MAC Filtering';
menuTitle[MENU_SC_VIRTUAL_SERVER]                     = ' Virtual Servers';
menuTitle[MENU_SC_PORT_TRIGGER]                       = ' Port Triggering';
menuTitle[MENU_SC_DMZ_HOST]                           = ' DMZ Host';

menuTitle[MENU_MANAGEMENT]                            = 'Tools';
menuTitle[MENU_TL_UPDATE_SOFTWARE]                    = ' Upgrade Gateway';
menuTitle[MENU_TL_RESTORE_SETTINGS]                   = ' Restore to Defaults';
menuTitle[MENU_SC_PASSWORDS]                       = ' Passwords';
menuTitle[MENU_SC_LOCAL_ACCESS]                       = ' - Local Access';
menuTitle[MENU_SC_USER_ACCESS]                        = ' - User Access';
menuTitle[MENU_RESET_ROUTER]                          = ' Reboot Gateway';
menuTitle[MENU_DIAGNOSTICS]                           = ' Diagnostics';
menuTitle[MENU_TL_SNMP]                               = ' SNMP Agent';

menuTitle[MENU_STATISTICS]                            = 'Statistics';
menuTitle[MENU_ST_LAN]                                = ' LAN';
menuTitle[MENU_ST_ATM]                                = ' ATM';
menuTitle[MENU_ST_ADSL]                               = ' ADSL';
menuTitle[MENU_TL_SYSTEM_LOG]                         = ' System Log';

menuTitle[MENU_VOICE_STATS]                           = 'Statistics';
menuTitle[MENU_SC_NAT]                                = ' NAT';
menuTitle[MENU_SC_INCOMING]                           = ' Incoming';
menuTitle[MENU_SC_OUTGOING]                           = ' Outgoing';
menuTitle[MENU_VOICE_SETTINGS]                        = ' Voice';
menuTitle[MENU_VOICE_MGCP]                            = ' MGCP';
menuTitle[MENU_VOICE_SIP]                             = ' SIP';
menuTitle[MENU_DDNS]                                  = ' Dynamic DNS';

function getMenuTitle(index) {
   return menuTitle[index];
}
